Package org.springframework.expression.spel

# Class SpelEvaluationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.expression.ExpressionException
org.springframework.expression.EvaluationException
org.springframework.expression.spel.SpelEvaluationException

All Implemented Interfaces:
  `Serializable`

public class SpelEvaluationException extends EvaluationException
Root exception for Spring EL related exceptions.

Rather than holding a hard-coded string indicating the problem, it records a message key and the inserts for the message.

See `SpelMessage` for the list of all possible messages that can occur.

Since:
  3.0
Author:
  Andy Clement, Juergen Hoeller
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.springframework.expression.ExpressionException

`expressionString, position`

## Constructor Summary

Constructors
Constructor
Description
`SpelEvaluationException(int position, Throwable cause, SpelMessage message, Object... inserts)`
`SpelEvaluationException(int position, SpelMessage message, Object... inserts)`
`SpelEvaluationException(Throwable cause, SpelMessage message, Object... inserts)`
`SpelEvaluationException(SpelMessage message, Object... inserts)`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getInserts()`
Return the message inserts.
`SpelMessage`
`getMessageCode()`
Return the message code.
`void`
`setPosition(int position)`
Set the position in the related expression which gave rise to this exception.

### Methods inherited from class org.springframework.expression.ExpressionException

`getExpressionString, getMessage, getPosition, getSimpleMessage, toDetailedString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SpelEvaluationException

public SpelEvaluationException(SpelMessage message, @Nullable Object... inserts)

### SpelEvaluationException

public SpelEvaluationException(int position, SpelMessage message, @Nullable Object... inserts)

### SpelEvaluationException

public SpelEvaluationException(int position, @Nullable Throwable cause, SpelMessage message, @Nullable Object... inserts)

### SpelEvaluationException

public SpelEvaluationException(@Nullable Throwable cause, SpelMessage message, @Nullable Object... inserts)

## Method Details

### setPosition

public void setPosition(int position)
Set the position in the related expression which gave rise to this exception.

### getMessageCode

public SpelMessage getMessageCode()
Return the message code.

### getInserts

@Nullable public Object[] getInserts()
Return the message inserts.